> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorlake.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Sandbox

> Terminate a sandbox. This operation is idempotent and returns success if the sandbox was already terminated.

Terminate a sandbox.

This call is idempotent. If the sandbox is already terminated, Tensorlake still returns success.


## OpenAPI

````yaml delete /sandboxes/{sandbox_id}
openapi: 3.1.0
info:
  title: Tensorlake API
  description: >-
    Tensorlake Cloud APIs for Sandboxes, Document Ingestion, and Serverless
    Workflows
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://api.tensorlake.ai/
security:
  - bearerAuth: []
tags:
  - name: Tensorlake Cloud API
    description: >-
      Tensorlake Cloud APIs for Sandboxes, Document Ingestion, and Serverless
      Workflows
paths:
  /sandboxes/{sandbox_id}:
    parameters:
      - name: sandbox_id
        in: path
        description: The ID of the sandbox.
        required: true
        schema:
          type: string
    delete:
      tags:
        - sandboxes
      summary: Delete a sandbox
      description: >-
        Terminate a sandbox. This operation is idempotent and returns success if
        the sandbox was already terminated.
      operationId: delete_sandbox
      responses:
        '200':
          description: Sandbox terminated successfully
        '401':
          description: Unauthorized. Invalid or missing credentials
        '403':
          description: Forbidden. You do not have permission to access this resource
        '404':
          description: Sandbox not found
          content:
            text/plain: {}
        '500':
          description: Internal server error
          content:
            text/plain: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````